import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Random;

public class Raten extends HttpServlet {
    public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	res.setContentType("text/html");
	PrintWriter out = res.getWriter();

	out.println("<html>");
	out.println("  <head>");
	out.println("    <title>Raten</title>");
	out.println("  </head>");
	out.println("  <body>");

	final int MAX = 128;
	int geheim = 0;
	boolean neu_waehlen = true;

	// evtl. Tipp auswerten
	if (req.getParameter("geheim") != null) {
	    try {
	        geheim = Integer.parseInt(req.getParameter("geheim"));
		int tipp = Integer.parseInt(req.getParameter("tipp"));
		if (geheim < tipp) {
		    out.println("Die geheime Zahl ist <i>kleiner</i>!");
		    neu_waehlen = false;
		}
		else if (geheim > tipp) {
		    out.println("Die geheime Zahl ist <i>grer</i>!");
		    neu_waehlen = false;
		}
		else
		    out.println("<b>Toll, Sie haben die geheime Zahl erraten!</b>");
	    }
	    catch (NumberFormatException e) {
	        // Log-Meldung schreiben
	        log(""+e);
	        out.println("Sie mssen schon eine Zahl eingeben!");
	    }
	}

	// evtl. eine neue geheime Zahl whlen
	if (neu_waehlen) {
	    Random r = new Random();
	    geheim = r.nextInt(MAX) + 1;
	    out.println("<p />");
	    out.println("Ich habe eine Zahl zwischen 1 und "+MAX+" gewhlt!");
	}

	out.println("    <p />");

	out.println("    <form action=\"/servlet/Raten\" method=post>");
	out.println("      Ihr Tipp: <input type=text name=\"tipp\" size=5 />");
	out.println("      <br />");
	out.println("      <input type=hidden name=\"geheim\" value=\""+geheim+"\" />");
	out.println("      <input type=submit value=\"Tipp absenden\">");
	out.println("    </form>");
	out.println("  </body>");
	out.println("</html>");
    }
    public void doPost(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	doGet(req, res);
    }
}
